# Sharing Buttons

The Sharing Buttons components enable a user to control the appearance and placement of sharing buttons on their sites. Appearance options include button style, share text, and enabled sharing providers. Placement options allow control over the posts for which likes, reblogs, and sharing buttons are shown, and whether links should open in a new or same window.

## Component Overview

### SharingButtons

The entry point for sharing buttons. Renders a form of options for the user to control the appearance and placement of sharing buttons on their sites.

### SharingButtonsAppearance

Renders a panel for configuring the appearance of sharing buttons, including a live preview and button-related options.

### SharingButtonsStyle

Renders a toggle input to control the style of sharing buttons used on the user's site.

### SharingButtonsPreview

Renders a preview of sharing provider buttons as a list of `SharingButtonsPreviewButton`.

### SharingButtonsPreview

Renders a placeholder of the sharing provider buttons preview to be used when data has not yet been loaded.

### SharingButtonsPreviewButton

Renders a preview of a single sharing provider button.

### SharingButtonsLabelEditor

Renders a panel allowing a user to customize the "Share this:" text shown adjacent to sharing buttons on a site.

### SharingButtonsOptions

Renders miscellaneous display option inputs for sharing buttons, likes, and reblogs on a site.
